summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRolf Eike Beer <eike@sf-mail.de>2020-05-21 10:57:55 +0200
committerMichał Górny <mgorny@gentoo.org>2020-06-05 18:03:54 +0200
commitd331eb76b161a27da553b85f6f6c8821d6065a0c (patch)
tree35ea920917f7a77f173c343b1d56072b194701d2 /mail-mta
parentdev-python/versioneer: Port to py39 (diff)
downloadgentoo-d331eb76b161a27da553b85f6f6c8821d6065a0c.tar.gz
gentoo-d331eb76b161a27da553b85f6f6c8821d6065a0c.tar.bz2
gentoo-d331eb76b161a27da553b85f6f6c8821d6065a0c.zip
mail-mta/notqmail: new package
"notqmail is a community-driven fork of qmail, beginning where netqmail left off". From everything we can tell there will be no new release of netqmail, so we decided to do our own thing. Eventually this will replace the existing mail-mta/netqmail ebuilds. Signed-off-by: Rolf Eike Beer <eike@sf-mail.de> Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'mail-mta')
-rw-r--r--mail-mta/notqmail/Manifest7
-rw-r--r--mail-mta/notqmail/metadata.xml23
-rw-r--r--mail-mta/notqmail/notqmail-1.08.ebuild186
-rw-r--r--mail-mta/notqmail/notqmail-9999.ebuild186
4 files changed, 402 insertions, 0 deletions
diff --git a/mail-mta/notqmail/Manifest b/mail-mta/notqmail/Manifest
new file mode 100644
index 00000000000..57b6074b1bd
--- /dev/null
+++ b/mail-mta/notqmail/Manifest
@@ -0,0 +1,7 @@
+DIST genqmail-20191010.tar.bz2 10063 BLAKE2B bd1b664fca9fdb92aba49930b1d0c336097f2bad56ea814014c0d811d9d96fb861925dd0b016ce4ef1edd0473481fa807e81be17b7169688bfbd72a72e287718 SHA512 8d19a25b8745a04f7bdb378259dcee7b43f62cf90e7a7d8f4843d39169f8221cd8c5b9c332b37e5ecc7917366093e56f34bc4362b8ab0dd1785a6d0f12687a4b
+DIST notqmail-1.08-auth.patch 71183 BLAKE2B c980475ef7a2ad6e05d71f494293579e5082b63606fd0bbbd51fff5d067912b1548b4033f36de8030d60b195a684ff0845afe022d316ad835b1ad0b360cafbd6 SHA512 697b8b2a26a10c0029918193046dd2758bb3e84af97fb2e99f29bfb23efb0a9e0ee6ecca0431369e348d1414ef70bc5c446420b4f019ba427d16d0f07f23f6e3
+DIST notqmail-1.08-big-todo.patch 7179 BLAKE2B f7582d0193096f17316feb15e65c2b841545e274309351fc2921120ec3a4fb35b1998fbd8b8ca573c7dbd690ab7197f4b4f9105671f7d299687bf339b747deb2 SHA512 8444c8b4558410682d46e4954973721a1fb5e90585c9a3a4d7603448faf68cc0d07d2b5d51977ce72d35551b5c43b03014638251b542e48fe9cbef327cacc7c6
+DIST notqmail-1.08-tls-20200107.patch 50123 BLAKE2B 94bbab86bd089c6ac032bfabc300eb89b367c239ae7a60256c417a2abfa583984e6273eae6df22d44b98dcefce4904f6db9625ff2a57f4b30a8fff8c629d374b SHA512 bdccdf98024f811802504872b8e3f3ac3010c1f218a0ec79bb12e635c35bfa15471c2b7e499c14e6bec9b5d3e48f1e584e26ba2ca01f1ce73a347a338de2a304
+DIST notqmail-1.08.tar.xz 179500 BLAKE2B 6c774037b257849aea65e7761a6f6c9918079faa490c0ed027d73a8b32de5d5907a54a59162b9b68479229c4b92a23fe28cd2f334123cfe674a94502b90a3635 SHA512 c18d09e28c2e580522eea144e5344e814811108b12f3272b4cf10ad58d9d3d8e666616dcfea2f369e226b68db4fe8cf67cbae994b242d36e9e07c289a0539394
+DIST qmail-103.patch 2104 BLAKE2B 23721b3331c719f3b6deca8b2603bf824b66068d3901a84dda9edbe33b506d0c2b6e711364e2426d9e393453a54485f0286d4668f99cf6b9acabf10a5dc59b0a SHA512 b81062bb0b0023f474c0b6af40601926e1c04ad395de480d114809e48a8060c06d99bdbdeb6f44d9e24ae1acedabb094b979193d305371aed958f18fc6eee354
+DIST qmail-spp-0.42.tar.gz 18689 BLAKE2B df67f10f6daf9601fd074c774c5be4decca59f3e790774d502c28ebd495f9d7523ecebfd37abd333e347151647364d08d3ccc25099c82748bf7b7ea84bb18977 SHA512 03449862886a0ca20fbadab4c94b34b55d185f8df3261bd68aea99e9ded9edfab4477c6b38a8e0295e9b38b0045615da8b1a906a458f28745eadd3c4d882bcbf
diff --git a/mail-mta/notqmail/metadata.xml b/mail-mta/notqmail/metadata.xml
new file mode 100644
index 00000000000..1547ff2797a
--- /dev/null
+++ b/mail-mta/notqmail/metadata.xml
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>eike@sf-mail.de</email>
+ <name>Rolf Eike Beer</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <use>
+ <flag name="authcram">Enable AUTHCRAM support</flag>
+ <flag name="gencertdaily">Generate SSL certificates daily instead of
+ hourly</flag>
+ <flag name="highvolume">Prepare notqmail for high volume servers</flag>
+ <flag name="pop3">Include POP3 server</flag>
+ </use>
+ <upstream>
+ <remote-id type="github">notqmail/notqmail</remote-id>
+ <remote-id type="sourceforge">qmail-spp</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/mail-mta/notqmail/notqmail-1.08.ebuild b/mail-mta/notqmail/notqmail-1.08.ebuild
new file mode 100644
index 00000000000..6332e8b46af
--- /dev/null
+++ b/mail-mta/notqmail/notqmail-1.08.ebuild
@@ -0,0 +1,186 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+GENQMAIL_PV=20191010
+QMAIL_SPP_PV=0.42
+
+QMAIL_TLS_PV=20200107
+QMAIL_TLS_F=notqmail-1.08-tls-${QMAIL_TLS_PV}.patch
+
+QMAIL_BIGTODO_F=notqmail-1.08-big-todo.patch
+
+QMAIL_LARGE_DNS="qmail-103.patch"
+
+inherit qmail
+
+if [[ ${PV} == "9999" ]] ; then
+ EGIT_REPO_URI="https://github.com/notqmail/notqmail.git"
+ inherit git-r3
+else
+ KEYWORDS="~amd64 ~hppa ~sparc"
+ SRC_URI="https://github.com/notqmail/notqmail/releases/download/${P}/${P}.tar.xz"
+fi
+
+DESCRIPTION="qmail -- a secure, reliable, efficient, simple message transfer agent"
+HOMEPAGE="
+ https://notqmail.org
+ https://cr.yp.to/qmail.html
+ http://qmail.org
+"
+SRC_URI="${SRC_URI}
+ https://github.com/DerDakon/genqmail/releases/download/genqmail-${GENQMAIL_PV}/${GENQMAIL_F}
+ https://www.ckdhr.com/ckd/${QMAIL_LARGE_DNS}
+ !vanilla? (
+ highvolume? (
+ https://github.com/notqmail/notqmail/commit/3a22b45974ddd1230da0dfa21f886c3401bee020.patch -> ${QMAIL_BIGTODO_F}
+ )
+ qmail-spp? ( mirror://sourceforge/qmail-spp/${QMAIL_SPP_F} )
+ https://github.com/notqmail/notqmail/commit/b224a3ceb63ff8ebc57648bf304e079d0bf55023.patch -> ${PN}-1.08-auth.patch
+ ssl? (
+ https://github.com/notqmail/notqmail/commit/ed58c2eff21612037bbcc633f4b3a8e708f522a0.patch -> ${QMAIL_TLS_F}
+ )
+ )
+"
+
+LICENSE="public-domain"
+SLOT="0"
+IUSE="authcram gencertdaily highvolume libressl -pop3 qmail-spp ssl test vanilla"
+REQUIRED_USE="vanilla? ( !ssl !qmail-spp !highvolume )"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ net-dns/libidn2
+ net-mail/queue-repair
+ sys-apps/gentoo-functions
+ sys-apps/groff
+ ssl? (
+ !libressl? ( >=dev-libs/openssl-1.1:0= )
+ libressl? ( dev-libs/libressl:= )
+ )
+ test? ( dev-libs/check )
+"
+RDEPEND="${DEPEND}
+ acct-group/nofiles
+ acct-group/qmail
+ acct-user/alias
+ acct-user/qmaild
+ acct-user/qmaill
+ acct-user/qmailp
+ acct-user/qmailq
+ acct-user/qmailr
+ acct-user/qmails
+ sys-apps/ucspi-tcp
+ virtual/checkpassword
+ virtual/daemontools
+ authcram? ( >=net-mail/cmd5checkpw-0.30 )
+ ssl? (
+ pop3? ( sys-apps/ucspi-ssl )
+ )
+ !mail-mta/courier
+ !mail-mta/esmtp
+ !mail-mta/exim
+ !mail-mta/msmtp[mta]
+ !mail-mta/nullmailer
+ !mail-mta/opensmtpd
+ !mail-mta/postfix
+ !mail-mta/qmail-ldap
+ !mail-mta/netqmail
+ !mail-mta/sendmail
+ !mail-mta/ssmtp[mta]
+"
+
+src_unpack() {
+ genqmail_src_unpack
+ use qmail-spp && qmail_spp_src_unpack
+
+ [[ ${PV} == "9999" ]] && git-r3_src_unpack
+ [[ ${PV} != "9999" ]] && default
+}
+
+PATCHES=(
+ "${DISTDIR}/${QMAIL_LARGE_DNS}"
+)
+
+src_prepare() {
+ if ! use vanilla; then
+ if use ssl; then
+ PATCHES+=( "${DISTDIR}/${QMAIL_TLS_F}" )
+ else
+ PATCHES+=( "${DISTDIR}/${P}-auth.patch" )
+ fi
+ if use highvolume; then
+ PATCHES+=( "${DISTDIR}/${QMAIL_BIGTODO_F}" )
+ fi
+
+ if use qmail-spp; then
+ if use ssl; then
+ SPP_PATCH="${QMAIL_SPP_S}/qmail-spp-smtpauth-tls-20060105.diff"
+ else
+ SPP_PATCH="${QMAIL_SPP_S}/netqmail-spp.diff"
+ fi
+ # make the patch work with "-p1"
+ sed -e 's#^--- \([Mq]\)#--- a/\1#' -e 's#^+++ \([Mq]\)#+++ b/\1#' -i ${SPP_PATCH} || die
+
+ PATCHES+=( "${SPP_PATCH}" )
+ fi
+ fi
+
+ default
+
+ qmail_src_postunpack
+
+ if ! use authcram; then
+ einfo "Disabled CRAM_MD5 support"
+ sed -e 's,^#define CRAM_MD5$,/*&*/,' -i "${S}"/qmail-smtpd.c || die
+ else
+ einfo "Enabled CRAM_MD5 support"
+ fi
+
+ ht_fix_file Makefile*
+}
+
+src_compile() {
+ qmail_src_compile
+ use qmail-spp && qmail_spp_src_compile
+}
+
+src_install() {
+ qmail_src_install
+}
+
+src_test() {
+ emake test
+}
+
+pkg_postinst() {
+ qmail_queue_setup
+ qmail_rootmail_fixup
+ qmail_tcprules_build
+
+ qmail_config_notice
+ qmail_supervise_config_notice
+ elog
+ elog "If you are looking for documentation, check those links:"
+ elog "https://wiki.gentoo.org/wiki/Virtual_mail_hosting_with_qmail"
+ elog " -- qmail/vpopmail Virtual Mail Hosting System Guide"
+ elog "http://www.lifewithqmail.com/"
+ elog " -- Life with qmail"
+ elog
+}
+
+pkg_preinst() {
+ qmail_tcprules_fixup
+}
+
+pkg_config() {
+ # avoid some weird locale problems
+ export LC_ALL=C
+
+ qmail_config_fast
+ qmail_tcprules_config
+ qmail_tcprules_build
+
+ use ssl && qmail_ssl_generate
+}
diff --git a/mail-mta/notqmail/notqmail-9999.ebuild b/mail-mta/notqmail/notqmail-9999.ebuild
new file mode 100644
index 00000000000..6332e8b46af
--- /dev/null
+++ b/mail-mta/notqmail/notqmail-9999.ebuild
@@ -0,0 +1,186 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+GENQMAIL_PV=20191010
+QMAIL_SPP_PV=0.42
+
+QMAIL_TLS_PV=20200107
+QMAIL_TLS_F=notqmail-1.08-tls-${QMAIL_TLS_PV}.patch
+
+QMAIL_BIGTODO_F=notqmail-1.08-big-todo.patch
+
+QMAIL_LARGE_DNS="qmail-103.patch"
+
+inherit qmail
+
+if [[ ${PV} == "9999" ]] ; then
+ EGIT_REPO_URI="https://github.com/notqmail/notqmail.git"
+ inherit git-r3
+else
+ KEYWORDS="~amd64 ~hppa ~sparc"
+ SRC_URI="https://github.com/notqmail/notqmail/releases/download/${P}/${P}.tar.xz"
+fi
+
+DESCRIPTION="qmail -- a secure, reliable, efficient, simple message transfer agent"
+HOMEPAGE="
+ https://notqmail.org
+ https://cr.yp.to/qmail.html
+ http://qmail.org
+"
+SRC_URI="${SRC_URI}
+ https://github.com/DerDakon/genqmail/releases/download/genqmail-${GENQMAIL_PV}/${GENQMAIL_F}
+ https://www.ckdhr.com/ckd/${QMAIL_LARGE_DNS}
+ !vanilla? (
+ highvolume? (
+ https://github.com/notqmail/notqmail/commit/3a22b45974ddd1230da0dfa21f886c3401bee020.patch -> ${QMAIL_BIGTODO_F}
+ )
+ qmail-spp? ( mirror://sourceforge/qmail-spp/${QMAIL_SPP_F} )
+ https://github.com/notqmail/notqmail/commit/b224a3ceb63ff8ebc57648bf304e079d0bf55023.patch -> ${PN}-1.08-auth.patch
+ ssl? (
+ https://github.com/notqmail/notqmail/commit/ed58c2eff21612037bbcc633f4b3a8e708f522a0.patch -> ${QMAIL_TLS_F}
+ )
+ )
+"
+
+LICENSE="public-domain"
+SLOT="0"
+IUSE="authcram gencertdaily highvolume libressl -pop3 qmail-spp ssl test vanilla"
+REQUIRED_USE="vanilla? ( !ssl !qmail-spp !highvolume )"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ net-dns/libidn2
+ net-mail/queue-repair
+ sys-apps/gentoo-functions
+ sys-apps/groff
+ ssl? (
+ !libressl? ( >=dev-libs/openssl-1.1:0= )
+ libressl? ( dev-libs/libressl:= )
+ )
+ test? ( dev-libs/check )
+"
+RDEPEND="${DEPEND}
+ acct-group/nofiles
+ acct-group/qmail
+ acct-user/alias
+ acct-user/qmaild
+ acct-user/qmaill
+ acct-user/qmailp
+ acct-user/qmailq
+ acct-user/qmailr
+ acct-user/qmails
+ sys-apps/ucspi-tcp
+ virtual/checkpassword
+ virtual/daemontools
+ authcram? ( >=net-mail/cmd5checkpw-0.30 )
+ ssl? (
+ pop3? ( sys-apps/ucspi-ssl )
+ )
+ !mail-mta/courier
+ !mail-mta/esmtp
+ !mail-mta/exim
+ !mail-mta/msmtp[mta]
+ !mail-mta/nullmailer
+ !mail-mta/opensmtpd
+ !mail-mta/postfix
+ !mail-mta/qmail-ldap
+ !mail-mta/netqmail
+ !mail-mta/sendmail
+ !mail-mta/ssmtp[mta]
+"
+
+src_unpack() {
+ genqmail_src_unpack
+ use qmail-spp && qmail_spp_src_unpack
+
+ [[ ${PV} == "9999" ]] && git-r3_src_unpack
+ [[ ${PV} != "9999" ]] && default
+}
+
+PATCHES=(
+ "${DISTDIR}/${QMAIL_LARGE_DNS}"
+)
+
+src_prepare() {
+ if ! use vanilla; then
+ if use ssl; then
+ PATCHES+=( "${DISTDIR}/${QMAIL_TLS_F}" )
+ else
+ PATCHES+=( "${DISTDIR}/${P}-auth.patch" )
+ fi
+ if use highvolume; then
+ PATCHES+=( "${DISTDIR}/${QMAIL_BIGTODO_F}" )
+ fi
+
+ if use qmail-spp; then
+ if use ssl; then
+ SPP_PATCH="${QMAIL_SPP_S}/qmail-spp-smtpauth-tls-20060105.diff"
+ else
+ SPP_PATCH="${QMAIL_SPP_S}/netqmail-spp.diff"
+ fi
+ # make the patch work with "-p1"
+ sed -e 's#^--- \([Mq]\)#--- a/\1#' -e 's#^+++ \([Mq]\)#+++ b/\1#' -i ${SPP_PATCH} || die
+
+ PATCHES+=( "${SPP_PATCH}" )
+ fi
+ fi
+
+ default
+
+ qmail_src_postunpack
+
+ if ! use authcram; then
+ einfo "Disabled CRAM_MD5 support"
+ sed -e 's,^#define CRAM_MD5$,/*&*/,' -i "${S}"/qmail-smtpd.c || die
+ else
+ einfo "Enabled CRAM_MD5 support"
+ fi
+
+ ht_fix_file Makefile*
+}
+
+src_compile() {
+ qmail_src_compile
+ use qmail-spp && qmail_spp_src_compile
+}
+
+src_install() {
+ qmail_src_install
+}
+
+src_test() {
+ emake test
+}
+
+pkg_postinst() {
+ qmail_queue_setup
+ qmail_rootmail_fixup
+ qmail_tcprules_build
+
+ qmail_config_notice
+ qmail_supervise_config_notice
+ elog
+ elog "If you are looking for documentation, check those links:"
+ elog "https://wiki.gentoo.org/wiki/Virtual_mail_hosting_with_qmail"
+ elog " -- qmail/vpopmail Virtual Mail Hosting System Guide"
+ elog "http://www.lifewithqmail.com/"
+ elog " -- Life with qmail"
+ elog
+}
+
+pkg_preinst() {
+ qmail_tcprules_fixup
+}
+
+pkg_config() {
+ # avoid some weird locale problems
+ export LC_ALL=C
+
+ qmail_config_fast
+ qmail_tcprules_config
+ qmail_tcprules_build
+
+ use ssl && qmail_ssl_generate
+}